/* MAIN SETTINGS */

@font-face {
    font-family: Metropolis;
    src: url("../fonts/metropolis-r.otf");
    font-weight: normal;
    font-size: 14pt;
}
:root {
    --accent-color: #055052;
    --accent-hover-color: rgba(5,80,82, 0.8);
    --front-color: white;
    --back-color: #f3f3f3;
    --text-color: black;
    --input-back-color: #e1e1e1;
    --input-hover-color: rgb(220, 220, 220);
}
body {
    margin: 0;
    font-family: Metropolis, sans-serif;
    display: flex;
    flex-flow: row nowrap;
    background: var(--back-color);
}
h1, h2, h3, h4, h5 {margin: 0;}
a { color: var(--accent-color); text-underline-offset: 4px }
a:active { color: var(--accent-hover-color) }

/* SCROLLBAR */

* {scrollbar-width: thin;scrollbar-color: #055052 #F3F3F3;}
*::-webkit-scrollbar {height: 5px;width: 5px;}
*::-webkit-scrollbar-track {border-radius: 0;background-color: #F3F3F3;}
*::-webkit-scrollbar-track:hover {background-color: #E1E1E1;}
*::-webkit-scrollbar-track:active {background-color: #E1E1E1;}
*::-webkit-scrollbar-thumb {border-radius: 4px;background-color: #055052;}
*::-webkit-scrollbar-thumb:hover {background-color: #055052;}
*::-webkit-scrollbar-thumb:active {background-color: #055052;}

/* INPUT SETTINGS */

.switch {position: relative;display: inline-block;width: 40px;height: 20px;}
.switch input {opacity: 0;width: 0;height: 0;}
.slider {position: absolute;cursor: pointer;top: 0;left: 0;right: 0;bottom: 0;background-color: #ccc;-webkit-transition: .4s;transition: .4s;}
.slider:before {position: absolute;content: "";height: 12px;width: 12px;left: 4px;bottom: 4px;background-color: white;-webkit-transition: .4s;transition: .4s;}
input:checked + .slider {background-color: var(--accent-color);}
input:focus + .slider {box-shadow: 0 0 1px var(--accent-color);}
input:checked + .slider:before {-webkit-transform: translateX(20px);-ms-transform: translateX(20px);transform: translateX(20px);}
.slider.round {border-radius: 20px;}
.slider.round:before {border-radius: 50%;}

select, input, textarea {
    padding: 12px 8px;
    border: none;
    border-radius: 8px;
    background: var(--input-back-color);
    font-family: inherit;
    font-size: inherit;
    resize: vertical;
}
select:focus, input:focus, textarea:focus {outline: 1px solid #1a9b9f;}
.shortInput { max-width: 80px; text-align: center; }
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {-webkit-appearance: none;margin: 0;}
input[type=number] {-moz-appearance: textfield;}

/* GLOBAL ACCESSIBLE CLASSES */

.rowContainer {display: flex;flex-flow: row wrap;gap: 15px;align-items: center}
.rowContainer > svg, .rowContainer > img { height: 20px; width: 20px; }
.spacer { height: 35px; width: 100%; }
.contentWrapper {
    width: 100%;
    height: 100dvh;
    overflow: hidden auto;
}
.button {
    padding: 12px 16px;
    display: flex;
    flex-flow: row nowrap;
    gap: 15px;
    border-radius: 8px;
    cursor: pointer;
    transition: all .25s ease-in-out;
    align-items: center;
    justify-content: center;
}
.button > svg { height: 15px; width: 15px; }
.button-dark {background: var(--accent-color); color: var(--front-color);}
.button-light {background: var(--input-back-color); color: var(--text-color);}
.button:hover {transform: translateY(-2px);}
.button-dark:hover {background: var(--accent-hover-color);}
.button-light:hover {background: var(--input-hover-color);}
.messageContainer {
    min-width: 160px;
    max-width: 400px;
    max-height: 250px;
    overflow: hidden auto;
    z-index: 10000;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    margin: auto;
    gap: 5px;
    animation: fade-message-in .5s ease-in-out;
}
@keyframes fade-message-in {
    0% {
        top: -100%;
    }
    100% {
        top: 0;
    }
}
.messageContainerInner {
    display: flex;
    flex-flow: column nowrap;
    align-items: center;
    justify-content: center;
    gap: 5px;
}
.messageContainerInner > .message {padding: 12px 16px; color: var(--front-color); word-break: break-word; }
.messageContainerInner > .info {background: #007fff;}
.messageContainerInner > .error {background: #9C1A1C}
.messageContainerInner > .success {background: forestgreen}
.messageContainerInner > .warning {background: orange}
.errorContainer {
    height: 100dvh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: gray;
    flex-flow: column nowrap;
    gap: 20px;
}
.dashboardContainer {
    display: flex;
    flex-flow: column wrap;
    padding: 25px 0;
    align-items: center;
    gap: 25px;
}
.smallImage {
    height: 15px;
    width: 15px;
    cursor: pointer;
}
.smallImageRotation {
    transform: rotate(180deg);
}
.rowButton {
    border: 1px solid black;
    border-radius: 6px;
    padding: 3px 5px;
    cursor: pointer;
}
.innerContainer {
    width: calc(100% - 40px);
    padding: 20px;
    display: flex;
    flex-flow: column nowrap;
    gap: 20px;
    align-items: flex-start;
    background: var(--front-color);
    border-top: 1px solid lightgray;
    border-bottom: 1px solid lightgray;
    font-size: 10pt;
}